Convert abandoned cart to order
Last updated
Was this helpful?
POST https://app.ecwid.com/api/v3/{storeId}/carts/{cartId}/place
Request:
POST /api/v3/1003/carts/6626E60A-A6F9-4CD5-8230-43D5F162E0CD/place HTTP/1.1
Authorization: Bearer secret_token
Host: app.ecwid.comResponse:
{
"id": "AB1CD",
"orderNumber": 108394551,
"vendorOrderNumber": "108394551",
"cartId": "6626E60A-A6F9-4CD5-8230-43D5F162E0CD"
}Your app must have the following access scopes to make this request: create_orders
All path params are required.
storeId
number
Ecwid store ID.
cartId
string
Internal cart ID, for example, 0B299518-FB54-491A-A6E0-5B6BA6E20868.
The Authorization header is required.
Authorization
Bearer secret_ab***cd
Access token of the application.
A JSON object with the following fields:
id
string
Unique order identificator with prefix and suffix defined by the store admin. For example, order ID MYSTORE-X8UYE contains MYSTORE- prefix.
Order ID is shown to customers in any notifications and to the store owner in Ecwid admin and notifications.
orderNumber
number
Internal order ID not visible to customer notifications or in Ecwid admin.
vendorOrderNumber
string
Internal field. Duplicates id value.
cartId
string
Internal ID of the cart that was converted into an order.
Last updated
Was this helpful?
Was this helpful?
